## Error handling

Error handling — Error domain and codes

## Types and Values

#define | POPPLER_ERROR
enum | PopplerError

## Object Hierarchy

        GEnum
        ╰── PopplerError

## Includes

    #include <poppler.h>

## Description

## Functions

## Types and Values

### POPPLER_ERROR

    #define POPPLER_ERROR poppler_error_quark()

Error domain for poppler operations. Errors in this domain will be from the PopplerError enumeration. See GError for information on error domains.

### enum PopplerError

Error codes returned by PopplerDocument

#### Members

POPPLER_ERROR_INVALID | Generic error when a document operation fails |
POPPLER_ERROR_ENCRYPTED | Document is encrypted |
POPPLER_ERROR_OPEN_FILE | File could not be opened for writing when saving document |
POPPLER_ERROR_BAD_CATALOG | Failed to read the document catalog |
POPPLER_ERROR_DAMAGED | Document is damaged |